
#include <Wire.h>
#include <Servo.h> 
#include <Adafruit_MotorShield.h>
#include "utility/Adafruit_PWMServoDriver.h"


Servo myservo;  // create servo object to control a servo 
Servo myservo2;                // a maximum of eight servo objects can be created 
 
int pos = 0;    // variable to store the servo position b
int pos2 = 90;
int moveVal = 44;
int turnVal = 44;
int lastMoveVal = 0;
int lastTurnVal = 0;
int iterator = 0;

Adafruit_MotorShield AFMS = Adafruit_MotorShield(); 
Adafruit_DCMotor *frontLeftMotor = AFMS.getMotor(2);
Adafruit_DCMotor *frontRightMotor = AFMS.getMotor(1);
Adafruit_DCMotor *rearLeftMotor = AFMS.getMotor(4);
Adafruit_DCMotor *rearRightMotor = AFMS.getMotor(3);

void setup() 
{ 
  Serial.begin(9600);
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object 
  myservo2.attach(10);
  AFMS.begin();
  
  frontLeftMotor->setSpeed(250);
  frontRightMotor->setSpeed(250);
  rearLeftMotor->setSpeed(250);
  rearRightMotor->setSpeed(250);

} 
 
 
void loop() 
{ 
  
  if(Serial.available()){
   delay(5);
   pos = Serial.read(); 
   pos2 = Serial.read();
   moveVal = Serial.read();
   turnVal = Serial.read();
    
   if(lastMoveVal!=moveVal || lastTurnVal!=turnVal){
   Serial.write('x');   
   if(moveVal==42 && turnVal==44){     //GOING FORWARD
    frontLeftMotor->run(FORWARD);
    frontRightMotor->run(FORWARD);
    rearLeftMotor->run(FORWARD);
    rearRightMotor->run(FORWARD);
    
  }else if(moveVal==43 && turnVal==44){//GOING BACKWARD
    frontLeftMotor->run(BACKWARD);
    frontRightMotor->run(BACKWARD);
    rearLeftMotor->run(BACKWARD);
    rearRightMotor->run(BACKWARD);
  }else if(moveVal==44 && turnVal==42){//TURNING TO THE RIGHT
    frontLeftMotor->run(FORWARD);
    frontRightMotor->run(BACKWARD);
    rearLeftMotor->run(FORWARD);
    rearRightMotor->run(BACKWARD);
  }else if(moveVal==42 && turnVal==42){//TURNING TO THE RIGHT AND GOING FORWARD
    frontLeftMotor->run(FORWARD);
    frontRightMotor->run(RELEASE);
    rearLeftMotor->run(FORWARD);
    rearRightMotor->run(RELEASE);
  }else if(moveVal==43 && turnVal==42){//TURNING TO THE RIGHT AND GOING BACKWARD
    frontLeftMotor->run(RELEASE);
    frontRightMotor->run(BACKWARD);
    rearLeftMotor->run(RELEASE);
    rearRightMotor->run(BACKWARD);
  }else if(moveVal==44 && turnVal==43){//TURNING TO THE LEFT
    frontLeftMotor->run(BACKWARD);
    frontRightMotor->run(FORWARD);
    rearLeftMotor->run(BACKWARD);
    rearRightMotor->run(FORWARD);
  }else if(moveVal==42 && turnVal==43){//TURNING TO THE LEFT AND GOING FORWARD
    frontLeftMotor->run(RELEASE);
    frontRightMotor->run(FORWARD);
    rearLeftMotor->run(RELEASE);
    rearRightMotor->run(FORWARD);
  }else if(moveVal==43 && turnVal==43){//TURNING TO THE LEFT AND GOING BACKWARD
    frontLeftMotor->run(BACKWARD);
    frontRightMotor->run(RELEASE);
    rearLeftMotor->run(BACKWARD);
    rearRightMotor->run(RELEASE);
  }else{                             //STOPPED
    frontLeftMotor->run(RELEASE);
    frontRightMotor->run(RELEASE);
    rearLeftMotor->run(RELEASE);
    rearRightMotor->run(RELEASE);
  }
  }
  lastMoveVal=moveVal;
  lastTurnVal=turnVal;
  }
  
  myservo.write(pos);
  myservo2.write(pos2);
  
} 
